Page MenuHomePhabricator

Add migration script
Closed, ResolvedPublic

Description

A migration script will be added to allow Minerva to consume the skin portion of MobileFrontend.

Acceptance criteria

  • When the script is completed, MobileFrontend contains no traces of the Minerva skin
  • The repo when loaded via wfLoadSkin behaves as normal

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2017, 11:34 PM
Jdlrobson renamed this task from Add migration script to Add migration script and scaffolding to prepare for translation.May 31 2017, 11:48 PM
Jdlrobson moved this task from Backlog to The big switcheroo on the MinervaNeue board.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)May 31 2017, 11:50 PM

Change 356633 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Add migration script

https://gerrit.wikimedia.org/r/356633

Jdlrobson renamed this task from Add migration script and scaffolding to prepare for translation to Add migration script.Jun 8 2017, 7:12 PM

Change 356633 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Add migration script

https://gerrit.wikimedia.org/r/356633

Jdlrobson closed this task as Resolved.Jun 30 2017, 9:27 PM
Jdlrobson claimed this task.